=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/kscreen-([\d.]+).tar.xz
