## kscreen 5.13.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(KScreen)
-set(PROJECT_VERSION "5.12.8")
+set(PROJECT_VERSION "5.13.5")
 
 cmake_minimum_required(VERSION 2.8.12)
 
@@ -11,7 +11,11 @@
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 find_package(Qt5 REQUIRED COMPONENTS QuickWidgets Test)
-find_package(KF5 REQUIRED COMPONENTS DBusAddons Config ConfigWidgets I18n XmlGui GlobalAccel WidgetsAddons)
+find_package(KF5 REQUIRED COMPONENTS DBusAddons Config ConfigWidgets I18n XmlGui GlobalAccel WidgetsAddons
+                                     Declarative IconThemes Plasma
+)
+# WARNING PlasmaQuick provides unversioned CMake config
+find_package(KF5 REQUIRED COMPONENTS PlasmaQuick)
 
 set(MIN_LIBKSCREEN_VERSION "5.2.91")
 find_package(KF5Screen ${MIN_LIBKSCREEN_VERSION} REQUIRED)
@@ -26,7 +30,6 @@
 
 add_subdirectory(icons)
 add_subdirectory(kcm)
-#add_subdirectory(plasma)
 add_subdirectory(kded)
 add_subdirectory(tests)
 add_subdirectory(console)
