=== debian/changelog ===
kscreen (4:5.13.5-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Bumped Frameworks and Qt build deps.
    - debian/tests/testsuite: Create HOME for testsuite.
    - debian/kscreen.qml-ignore: Keep this file for Kubuntu CI builds.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Sep 2018 10:20:35 +0100

kscreen (4:5.13.5-1) unstable; urgency=medium

  * New upstream release (5.13.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Sep 2018 20:40:33 +0200

kscreen (4:5.13.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:34:50 +0100

kscreen (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:01 +0200

kscreen (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:41:02 +0100

kscreen (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * New build depends on libkf5plasma-dev & libkf5declarative-dev
  * Update build depends, and install resultant qml for OSD when a new
    screen is connected
  * Update install file
  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:25:51 +0100

kscreen (4:5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * testsuite: Update the test
  * Bump group breaks (4:5.13)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:00 +0200

kscreen (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:31:03 +0100

kscreen (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:24:02 +0100

kscreen (4:5.12.3-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.2).
  * New upstream release (5.12.3).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Mar 2018 19:14:05 +0100

kscreen (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:36 +0100

kscreen (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Bump Standards-Version to 4.1.3.
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:20:41 +0100

kscreen (4:5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:48:56 -0300

kscreen (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:24 +0200

kscreen (4:5.10.5-1) experimental; urgency=medium

  * New upstream release (5.10.3).
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * Sync watch file and signing-key.asc with neon
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.5).
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:29:16 +0200
