=== tests/kded/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,4 @@
-include_directories(${CMAKE_CURRENT_BINARY_DIR}
-                    ${CMAKE_BINARY_DIR}
-)
+include_directories(${CMAKE_BINARY_DIR})
 
 macro(ADD_KDED_TEST testname)
     set(test_SRCS
@@ -21,7 +19,7 @@
     add_dependencies(${testname} kscreen) # make sure the dbus interfaces are generated
     target_compile_definitions(${testname} PRIVATE "-DTEST_DATA=\"${CMAKE_CURRENT_SOURCE_DIR}/\"")
     target_link_libraries(${testname} Qt5::Test Qt5::DBus Qt5::Gui KF5::Screen)
-    add_test(kscreen-kded-${testname} ${testname})
+    add_test(NAME kscreen-kded-${testname} COMMAND ${testname})
     ecm_mark_as_test(${testname})
 endmacro()
