=== debian/changelog ===
kscreen (4:5.14.5-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages
    - drop patch kubuntu_disable-test.diff, no more needed now
  * Remove TODO item about the man page, as there is no man page.
  * Backport upstream commit 53357263fa9e6e69ed7f02803f7aa4fc1cc9cb1d to fix
    build with newer KF5; patch upstream_Add-missing-includes.patch.
  * Drop the migration from kscreen-dbg, no more needed after two Debian stable
    releases.

 -- Pino Toscano <pino@debian.org>  Tue, 01 Oct 2019 19:32:29 +0200

kscreen (4:5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:25:51 -0300

kscreen (4:5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (4:5.14)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:50:46 -0300
