=== debian/changelog ===
kscreen (4:5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:46:21 +0100

kscreen (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:07:46 +0000

kscreen (4:5.18.2-0ubuntu2) focal; urgency=medium

  * Merge with debian version 4:5.17.5-1 to get some packaging bugfixes, see the
    corresponding changelog entry below for details.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Feb 2020 12:57:31 +0000

kscreen (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:29:58 +0000

kscreen (4:5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:36:47 +0000

kscreen (4:5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:44:06 +0000

kscreen (4:5.17.90-0ubuntu1) focal; urgency=medium

  * New build depend on libqt5sensors5-dev
  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:08:01 +0000

kscreen (4:5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 20:39:46 +0100

kscreen (4:5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Update build-deps and deps with the info from cmake
  * Salsa CI automatic initialization by Tuco

  [ Pino Toscano ]
  * New upstream release.
  * Update the patches:
    - upstream_Add-missing-includes.patch: drop, backported from upstream
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.62.0
    - bump libkf5screen-dev to 5.17
    - remove unused libkf5configwidgets-dev, libkf5widgetsaddons-dev,
      libqt5x11extras5-dev, libxrandr-dev, and qtdeclarative5-dev
    - add libkf5kcmutils-dev
    - explicitly add gettext
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Drop README.Debian and TODO.Debian, as both are long obsolete.
  * Unregister kscreen.categories as conffile, as it is no more in /etc.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Jan 2020 07:50:47 +0100

kscreen (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:44:37 +0000

kscreen (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:23:53 +0000

kscreen (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:04:42 +0000

kscreen (4:5.17.2-0ubuntu1) focal; urgency=medium

  * Move qdebug categories file to new location.
  * Refresh patches.
  * Build depend on libkf5kcmutils-dev
  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:49:56 +0000

kscreen (4:5.16.5-0ubuntu2) focal; urgency=medium

  * Sync Debian test changes:
    - Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
      are not run at build time anyway.
    - Drop the 'testsuite' autopkgtest, as it does not test the installed
      packages
      + drop patch kubuntu_disable-test.diff, no more needed now

 -- Rik Mills <rikmills@kde.org>  Mon, 28 Oct 2019 22:39:58 +0000
