=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
            Rohan Garg <rohan@kde.org>,
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 12),
-               extra-cmake-modules (>= 5.66.0~),
+               extra-cmake-modules (>= 5.70.0~),
                gettext,
-               libkf5config-dev (>= 5.66.0~),
-               libkf5dbusaddons-dev (>= 5.66.0~),
-               libkf5declarative-dev (>= 5.66.0~),
-               libkf5globalaccel-dev (>= 5.66.0~),
-               libkf5i18n-dev (>= 5.66.0~),
-               libkf5iconthemes-dev (>= 5.66.0~),
-               libkf5kcmutils-dev (>= 5.66.0~),
-               libkf5plasma-dev (>= 5.66.0~),
-               libkf5screen-dev (>= 4:5.18.4.1~),
-               libkf5widgetsaddons-dev (>= 5.66.0~),
-               libkf5xmlgui-dev (>= 5.66.0~),
+               libkf5config-dev (>= 5.70.0~),
+               libkf5dbusaddons-dev (>= 5.70.0~),
+               libkf5declarative-dev (>= 5.70.0~),
+               libkf5globalaccel-dev (>= 5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5iconthemes-dev (>= 5.70.0~),
+               libkf5kcmutils-dev (>= 5.70.0~),
+               libkf5plasma-dev (>= 5.70.0~),
+               libkf5screen-dev (>= 4:5.19.5~),
+               libkf5widgetsaddons-dev (>= 5.70.0~),
+               libkf5xmlgui-dev (>= 5.70.0~),
                libqt5sensors5-dev,
                libqt5x11extras5-dev (>= 5.6.1~),
                libxrandr-dev,
