## kscreen 5.20.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,16 @@
 cmake_minimum_required(VERSION 3.0)
 
 project(KScreen)
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.20.5")
 set(KSCREEN_VERSION ${PROJECT_VERSION})
 
 add_definitions("-DKSCREEN_VERSION=\"${KSCREEN_VERSION}\"")
 
-set(QT_MIN_VERSION "5.12.0")
-set(KF5_MIN_VERSION "5.66.0")
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.74")
+
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
