=== kded/CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,17 @@
 
 set(kscreen_daemon_SRCS
     daemon.cpp
-    serializer.cpp
+    config.cpp
+    output.cpp
     generator.cpp
     device.cpp
+    osd.cpp
+    osdmanager.cpp
+    osdaction.cpp
+    ${CMAKE_SOURCE_DIR}/common/globals.cpp
+    ${CMAKE_SOURCE_DIR}/common/control.cpp
+    ${CMAKE_SOURCE_DIR}/common/orientation_sensor.cpp
+    ${CMAKE_SOURCE_DIR}/common/utils.cpp
 )
 
 ecm_qt_declare_logging_category(kscreen_daemon_SRCS HEADER kscreen_daemon_debug.h IDENTIFIER KSCREEN_KDED CATEGORY_NAME kscreen.kded)
@@ -22,7 +30,16 @@
 
 add_library(kscreen MODULE ${kscreen_daemon_SRCS})
 
-target_link_libraries(kscreen Qt5::Widgets Qt5::DBus KF5::Screen KF5::DBusAddons KF5::I18n KF5::XmlGui KF5::GlobalAccel)
+target_link_libraries(kscreen Qt5::Widgets
+                              Qt5::DBus
+                              Qt5::Quick
+                              Qt5::Sensors
+                              KF5::Declarative
+                              KF5::Screen
+                              KF5::DBusAddons
+                              KF5::I18n
+                              KF5::XmlGui
+                              KF5::GlobalAccel)
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/kscreen.desktop.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/kscreen.desktop
@@ -30,4 +47,13 @@
 
 kcoreaddons_desktop_to_json(kscreen ${CMAKE_CURRENT_BINARY_DIR}/kscreen.desktop)
 
-install(TARGETS kscreen DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kded)
+install(TARGETS kscreen DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kded)
+
+set(QML_FILES
+    qml/Osd.qml
+    qml/OsdItem.qml
+    qml/OsdSelector.qml
+    qml/OutputIdentifier.qml
+)
+
+install(FILES ${QML_FILES} DESTINATION ${KDE_INSTALL_DATADIR}/kded_kscreen/qml)
