=== tests/kded/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
     add_executable(${testname} ${test_SRCS})
     add_dependencies(${testname} kscreen) # make sure the dbus interfaces are generated
     target_compile_definitions(${testname} PRIVATE "-DTEST_DATA=\"${CMAKE_CURRENT_SOURCE_DIR}/\"")
-    target_link_libraries(${testname} Qt5::Test Qt5::DBus Qt5::Gui Qt5::Sensors KF5::Screen)
+    target_link_libraries(${testname} Qt5::Test Qt5::DBus Qt5::Gui Qt5::Sensors KF5::Screen KF5::CoreAddons)
     add_test(NAME kscreen-kded-${testname} COMMAND ${testname})
     ecm_mark_as_test(${testname})
 endmacro()
