=== debian/changelog ===
kscreen (4:5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:51 +0900

kscreen (4:5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:36 +0900

kscreen (4:5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:31 +0900

kscreen (4:5.19.5-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:22 +0900

kscreen (4:5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:40 +0900

kscreen (4:5.19.5-1) experimental; urgency=medium

  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 13:26:49 +0900

kscreen (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * New upstream release (5.18.5).
  * Bump compat level to 13.
  * Update all upstream repo links to invent.kde.org.
    - Update control Homepage.
    - Update copyright Source.
  * Remove not needed injection of linker flags.
  * Add Rules-Requires-Root field to control.
  * Add myself to Uploaders.
  * Update build-deps and deps with the info from cmake.
  * Update upstream metadata:
    - Add Bug-Database field.
    - Update repositories to kde invent.
    - Changelog pointed to announcements page.
    - Remove obsolete Name and contact already in d/copyright.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Remove Maximiliano from Uploaders as requested on IRC.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.
  * Update build-deps according to info from cmake.

 -- Norbert Preining <norbert@preining.info>  Mon, 05 Oct 2020 15:02:46 +0900
